Name: dmapd
Version: 0.0.4
Release: 1%{?dist}
License: GPLv2+
Source: http://www.flyn.org/projects/%name/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.flyn.org
Summary: A server that provides DAAP and DPAP shares
Group: Applications/Multimedia
BuildRequires: fedora-usermgmt-devel, avahi-devel, libexif-devel, libsoup-devel, libdmapsharing-devel

%description 
The dmapd project provides a GObject-based, Open Source implementation 
of DMAP sharing with the following features:

 o Support for both DAAP and DPAP

 o Support for realtime transcoding of media formats not natively 
 supported by clients

 o Support for many metadata formats, such as those associated with Ogg 
 Vorbis and MP3 (e.g., ID3)

 o Detection of video streams so that clients may play them as video

 o Use of GStreamer to support a wide range of audio and video CODECs

 o Caching of photograph thumbnails to avoid regenerating them each time 
 the server restarts



%files 
%defattr(-, root, root, -)
%defattr(-,root,root,-)
%{_sbindir}/dmapd
%{_sysconfdir}/rc.d/init.d/dmapd
%{_sysconfdir}/sysconfig/dmapd
%attr(0700,dmapd,root) %{_localstatedir}/cache/dmapd
%attr(0700,dmapd,root) %{_localstatedir}/run/dmapd
%{_mandir}/*/*
%doc	AUTHORS COPYING ChangeLog INSTALL NEWS README FAQ 


%prep


%setup -q


%build
 %configure  --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
mkdir -p %{buildroot}%{_localstatedir}/cache/dmapd
mkdir -p %{buildroot}%{_localstatedir}/run/dmapd
install -D distro/dmapd.fedora %{buildroot}%{_sysconfdir}/rc.d/init.d/dmapd
install -D distro/dmapd %{buildroot}%{_sysconfdir}/sysconfig/dmapd


%clean
rm -rf $RPM_BUILD_ROOT


%pre
%__fe_groupadd %uid -r %username &>/dev/null || :
%__fe_useradd  %uid -r -s /sbin/nologin -d %homedir -M -c '%gecos' -g %username %username &>/dev/null || :

%post
/sbin/chkconfig --add dmapd

%preun
if [ $1 = 0 ]; then /sbin/service dmapd stop >/dev/null 2>&1; /sbin/chkconfig --del dmapd; fi

%postun
if [ "$1" -ge "1" ]; then /sbin/service dmapd condrestart >/dev/null 2>&1 || :; fi
%__fe_userdel  %username &>/dev/null || :
%__fe_groupdel %username &>/dev/null || :



%changelog
* Sun Jan 19 2009 W. Michael Petullo <mike[@]flyn.org> - 0.0.2-1
   - Update to 0.0.2.

* Sun Jan 11 2009 W. Michael Petullo <mike[@]flyn.org> - 0.0.1-1
   - Initial package.




